//////////////////////////////////////////////////////////////////////
/*!	@class	AquesTalk2

	@brief	KGW AquesTalk2

  L񂩂特g`f[^ɐ
  o͉g`́A8HKzTvO, 16bit,m,WAVtH[}bg


	@author	N.Yamazaki (Aquest)

	@date	2009/11/28	N.Yamazaki	Creation (from AuesTalk.h)
	@date	2011/02/03	N.Yamazaki	_Synthe CAqTkF_Init()̖߂l`FbN
*/
//  COPYRIGHT (C) 2009 AQUEST CORP.
//////////////////////////////////////////////////////////////////////
#if !defined(_AQUESTALK2_H_)
#define _AQUESTALK2_H_
#ifdef __cplusplus
extern "C"{
#endif

#if defined(AQUESTALK2_EXPORTS)
#undef	DllExport
#define DllExport	__declspec( dllexport )
#else
#define DllExport
#endif

#if !(defined(WIN32)||defined(WINCE))
#define	__stdcall		// for Linux etc.
#endif

/////////////////////////////////////////////
//!	L񂩂特g`𐶐
//!	g`f[^͓ŗ̈mۂB
//!	g`f[^͖̉{֐̌ĂяoAquesTalk_FreeWave()ɂčs
//! @param	koe[in]		LiSJIS NULLI[j
//! @param	iSpeed[in]	bx [%] 50-300 ̊ԂŎw default:100
//!	@param	pSize[out]	f[^̃TCY[byte]iG[̏ꍇ̓G[R[hԂj
//!	@param	phontDat[in]	phontf[^̐擪AhXw肵܂BDLL̃ftHgPhontpƂ͂Ow肵܂B
//!	@return	WAVtH[}bg̉f[^̐擪AhXBG[NULLԂ
DllExport unsigned char * __stdcall AquesTalk2_Synthe(const char *koe, int iSpeed, int *pSize, void *phontDat);
//! @param	koe[in]		LiEUC NULLI[j
DllExport unsigned char * __stdcall AquesTalk2_Synthe_Euc(const char *koe, int iSpeed, int *pSize, void *phontDat);
//! @param	koe[in]		LiUTF8 NULLI[ BOM͂Ȃj
DllExport unsigned char * __stdcall AquesTalk2_Synthe_Utf8(const char *koe, int iSpeed, int *pSize, void *phontDat);
//! @param	koe[in]		LiUTF16 NULLI[ BOM̗L͖Ȃ@GfBA͎sɏ]j
DllExport unsigned char * __stdcall AquesTalk2_Synthe_Utf16(const unsigned short *koe, int iSpeed, int *pSize, void *phontDat);
//! @param	koe[in]		Li[}\L NULLI[j
DllExport unsigned char * __stdcall AquesTalk2_Synthe_Roman(const char *koe, int iSpeed, int *pSize, void *phontDat);

/////////////////////////////////////////////
//!	f[^̗̈J
//!	@param  wav[in]		AquesTalk_Synthe()ŕԂꂽAhXw
DllExport void __stdcall AquesTalk2_FreeWave(unsigned char *wav);

#ifdef __cplusplus
}
#endif
#endif // !defined(_AQUESTALK2_H_)
//  ----------------------------------------------------------------------
// !  Copyright AQUEST Corp. 2006- .  All Rights Reserved.                !
// !  An unpublished and CONFIDENTIAL work.  Reproduction, adaptation, or !
// !  translation without prior written permission is prohibited except   !
// !  as allowed under the copyright laws.                                !
//  ----------------------------------------------------------------------
