//////////////////////////////////////////////////////////////////////
/*!	@class	AquesTalk2Da

	@brief	KGW AquesTalk2Da

  L񂩂特g`f[^𐶐ATEhfoCXɏo͂


	@author	N.Yamazaki (Aquest)

	@date	2009/11/28	N.Yamazaki	Creation (from AquesTalkDa.h)
*/
//  COPYRIGHT (C) 2009 AQUEST CORP.
//////////////////////////////////////////////////////////////////////
#if !defined(_AQUESTALK2DA_H_)
#define _AQUESTALK2DA_H_
#ifdef __cplusplus
extern "C"{
#endif

#include <windows.h>

#if defined(AQUESTALK2DA_EXPORTS)
#undef	DllExport
#define DllExport	__declspec( dllexport )
#else
#define DllExport
#endif



/////////////////////////////////////////////
//!	ďói^Cvj
//!	̍ĐI܂Ŗ߂Ȃ
//! @param	koe[in]		LiNULLI[j
//! @param	iSpeed[in]	bx [%] 50-300 ̊ԂŎw
//!	@param	phontDat[in]	phontf[^̐擪AhXw肵܂BDLL̃ftHgPhontpƂ͂Ow肵܂B
//!	@return	0:I@ȊOFG[R[h
DllExport	int __stdcall AquesTalk2Da_PlaySync(const char *koe, int iSpeed=100, void *phontDat=0);
#ifdef MULTI_STR_CODE
DllExport	int __stdcall AquesTalk2Da_PlaySync_Euc(const char *koe, int iSpeed=100, void *phontDat=0);
DllExport	int __stdcall AquesTalk2Da_PlaySync_Utf8(const char *koe, int iSpeed=100, void *phontDat=0);
DllExport	int __stdcall AquesTalk2Da_PlaySync_Utf16(const unsigned short *koe, int iSpeed=100, void *phontDat=0);
DllExport	int __stdcall AquesTalk2Da_PlaySync_Roman(const char *koe, int iSpeed=100, void *phontDat=0);
#endif



////////////////////////////////////////////////////////////////////////
//  ȉA񓯊^Cv̊֐
////////////////////////////////////////////////////////////////////////
typedef void		*H_AQTKDA;	// GW̃nh ^Cv̊֐Ŏgp

/////////////////////////////////////////////
//!	GW̃CX^X𐶐i񓯊^Cvj
//! @return	GW̃nhԂ
DllExport	H_AQTKDA __stdcall AquesTalk2Da_Create();

/////////////////////////////////////////////
//!	GW̃CX^Xi񓯊^Cvj
//! @param	hMe[in]		GW̃nh AquesTalk2Da_Create()Ő
DllExport	void __stdcall AquesTalk2Da_Release(H_AQTKDA hMe);

/////////////////////////////////////////////
//!	ďói񓯊^Cvj
//!	g`ɁAɖ߂
//!	hWndw肷ƍĐIAmsgɎw肵bZ[WPostB
//!	ĐIOAquesTalk2Da_Play()ĂяoāAAIɍĐ邱Ƃ\B
//!	
//! @param	hMe[in]		GW̃nh AquesTalk2Da_Create()Ő
//! @param	koe[in]		LiNULLI[j
//! @param	iSpeed[in]	bx [%] 50-300 ̊ԂŎw
//!	@param	phontDat[in]	phontf[^̐擪AhXw肵܂BDLL̃ftHgPhontpƂ͂Ow肵܂B
//! @param	hWnd[in]	IbZ[WoEBhEnh
//! @param	msg[in]		IbZ[W
//! @param	dwUser[in]	Cӂ̃[Up[^(bZ[WlParam ɐݒ肳j
//!	@return	0:I@ȊOFG[R[h
DllExport	int __stdcall AquesTalk2Da_Play(H_AQTKDA hMe, const char *koe, int iSpeed=100, void *phontDat=0, HWND hWnd=0, unsigned long msg=0, unsigned long dwUser=0);
#ifdef MULTI_STR_CODE
DllExport	int __stdcall AquesTalk2Da_Play_Euc(H_AQTKDA hMe, const char *koe, int iSpeed=100, void *phontDat=0, HWND hWnd=0, unsigned long msg=0, unsigned long dwUser=0);
DllExport	int __stdcall AquesTalk2Da_Play_Utf8(H_AQTKDA hMe, const char *koe, int iSpeed=100, void *phontDat=0, HWND hWnd=0, unsigned long msg=0, unsigned long dwUser=0);
DllExport	int __stdcall AquesTalk2Da_Play_Utf16(H_AQTKDA hMe, const unsigned short *koe, int iSpeed=100, void *phontDat=0, HWND hWnd=0, unsigned long msg=0, unsigned long dwUser=0);
DllExport	int __stdcall AquesTalk2Da_Play_Roman(H_AQTKDA hMe, const char *koe, int iSpeed=100, void *phontDat=0, HWND hWnd=0, unsigned long msg=0, unsigned long dwUser=0);
#endif

/////////////////////////////////////////////
//!	Đ̒~ 
//! AquesTalk2Da_Play()ōĐɁAĐ𒆒fB
//!	Đ(Đ҂܂ށjłAIbZ[Wo悪w肳ĂȂA
//! IbZ[WPostB
//! @param	hMe[in]		GW̃nh AquesTalk2Da_Create()Ő
DllExport	void __stdcall AquesTalk2Da_Stop(H_AQTKDA hMe);

/////////////////////////////////////////////
//!	Đۂ
//! @param	hMe[in]		GW̃nh AquesTalk2Da_Create()Ő
//! @return 1:Đ 0:ĐłȂ
DllExport	int __stdcall AquesTalk2Da_IsPlay(H_AQTKDA hMe);


#ifdef __cplusplus
}
#endif
#endif // !defined(_AQUESTALK2DA_H_)
//  ----------------------------------------------------------------------
// !  Copyright AQUEST Corp. 2006- .  All Rights Reserved.                !
// !  An unpublished and CONFIDENTIAL work.  Reproduction, adaptation, or !
// !  translation without prior written permission is prohibited except   !
// !  as allowed under the copyright laws.                                !
//  ----------------------------------------------------------------------
